﻿using Orchard;
using Orchard.Blogs.Models;
using Orchard.Security;
using PagedList;

namespace Ati.Blogs.Services
{
    public interface IBlogAuthorService : IDependency
    {
        IUser AuthorFromUrl(string userName);
        IPagedList<BlogPostPart> BlogsByAuthor(BlogPart blog, string userName, int pageIndex, int pageSize);
    }
}
