﻿using Ati.Blogs.Models;
using Orchard.ContentManagement.Handlers;
using Orchard.Data;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;

namespace Ati.Blogs.Handlers
{
    public class BlogPostAuthorWidgetHandler : ContentHandler
    {
        public BlogPostAuthorWidgetHandler(IRepository<BlogPostAuthorWidgetPartRecord> repository)
        {
            Filters.Add(new ActivatingFilter<BlogPostAuthorWidgetPart>("BlogPostAuthorWidget"));
            Filters.Add(StorageFilter.For(repository));
        }
    }
}